Summary: Partition Image
Name: partimage
Version: 0.6.5_rel
Release: alt1
License: GPL
Group: System/Configuration/Hardware
Source: %name-0.6.5.tar.bz2
Packager: Mikhail Pokidko <pma@altlinux.org>
#Patch0: drbl_lzo_no-gui_xfs-amd64_patch.patch.gz
Obsoletes: partimaged, partimage = 0.6.5_beta3

# Automatically added by buildreq on Tue Jan 16 2007
BuildRequires: bzlib-devel gcc-c++ glibc-devel-static liblzo-devel libnewt-devel zlib-devel

#BuildRequires: libparted, libparted-devel, libmcrypt-devel
#BuildRequires: libslang-devel, gzip, gzip-devel, libe2fs-devel

%description
Partition Image is a Linux/UNIX partition imaging utility: it saves all used
blocks in a partition to an image file. 

This allows you to back up a full Linux/Windows system with a single
operation. When problems such as viruses, crashes, or other errors occur, you
just have to restore, and after several minutes your system can be restored
(boot record and all your files) and fully working.

%prep
%setup -n %name-0.6.5
#patch0 -p1

%build
### FIXME: Disable chowning of files
perl -pi.orig -e 's|^[[:space:]]*chown partimag[\.:]root.*$|\\|' Makefile.in
### FIXME: Fix mkinstalldirs during 'make install' in po/
perl -pi.orig -e 's|^(mkinstalldirs) = .+$|$1 = %__mkdir_p|' po/Makefile.in.in
#./configure --prefix=/usr --with-sysconfdir=/etc --with-log-dir=/var/log --disable-ssl --disable-login --enable-all-static
./configure --prefix=/usr --with-sysconfdir=/etc --with-log-dir=/var/log --disable-ssl --disable-login --disable-all-static
make %?_smp_mflags

%install
make install prefix=%buildroot%_prefix
strip %buildroot%_sbindir/%name
strip %buildroot%_sbindir/partimaged

%files
%_sbindir/%name
%_sbindir/partimaged
%doc AUTHORS BOOT* BUGS ChangeLog COPYING FUTURE README THANKS TODO
%doc README.partimaged
/usr/etc/partimaged/partimagedusers
%_datadir/locale/fr/LC_MESSAGES/partimage.mo
%_datadir/locale/it/LC_MESSAGES/partimage.mo
%_datadir/locale/de/LC_MESSAGES/partimage.mo
%_datadir/locale/gl/LC_MESSAGES/partimage.mo
%_datadir/locale/da/LC_MESSAGES/partimage.mo
%_datadir/locale/pl/LC_MESSAGES/partimage.mo
%_datadir/locale/es/LC_MESSAGES/partimage.mo
%_datadir/locale/fi/LC_MESSAGES/partimage.mo
%_datadir/locale/nl/LC_MESSAGES/partimage.mo
%_datadir/locale/pt/LC_MESSAGES/partimage.mo
%_datadir/locale/sk/LC_MESSAGES/partimage.mo

%changelog
* Thu Feb 01 2007 Mikhail Pokidko <pma@altlinux.ru> 0.6.5_rel-alt1
- Final partimage release. Fixed #10683.
